Bug 146550 - kaudiocreator hangs when ripping
Summary: kaudiocreator hangs when ripping
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdemultimedia   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-29 14:47 UTC by Joseph Kotran
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: kde-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 15:59:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Kotran 2005-01-29 14:47:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I am attempting to rip a standard audio CD using kaudiocreator. 
Unfortunately, kaudiocreator hangs when I click "Rip Selected Tracks".


Version-Release number of selected component (if applicable):
kdemultimedia-3.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. Insert standard audio CD in /dev/cdrom
2. Start kaudiocreator
3. Select "Select All Tracks" > "Rip Selected Tracks"

    

Actual Results:  The applications hangs.

Expected Results:  The application should rip the audio data from the CD.


Additional info:

I discovered via strace that kaudio creator is hanging with these
system calls:

open("/dev/cdrom1", O_RDONLY|O_NONBLOCK) = 13
ioctl(13, CDROM_GET_CAPABILITY or SNDRV_SEQ_IOCTL_UNSUBSCRIBE_PORT,
0xbffea8b0) = 3702767
ioctl(13, CDROM_SEND_PACKET, 0xbffea8b0) = 0
ioctl(13, CDROM_LOCKDOOR, 0)            = -1 EBUSY (Device or resource
busy)
ioctl(13, CDROMSUBCHNL, 0xbffeaaa0)     = 0
close(13)                               = 0

Also fuser /dev/cdrom returns the process ID of 'kdeinit: kio_audiocd
audiocd'.

Comment 1 Matthew Miller 2005-04-26 15:06:27 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.